Subject: bug#46111: Reverting fns.c hash function due to OpenBSD/SPARC64 compile breaking

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 Jan 2021 10:52:31 -0500

>>> - AFAICT from the backtrace, `ptr` points to a plain normal ELisp
>>>   string's content, yet these are supposed to be aligned, so what's
>>>   going on here
>> I wondered that myself.
> And what did you conclude?  ;-)

Hmm... now that I think about it, I think `make_pure_string` may get us
there, because the string's content is allocated from the end without
any alignment!

And the backtrace shows we're hashing the string `DndProtocol` which
comes from `lisp/x-dnd.el` which is indeed preloaded, so I think that's
what's going on.

        Stefan